Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
questions_and_answers
/
tasks_ready
Get Google My Business Questions and Answers Completed Tasks
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/questions_and_answers/tasks_ready \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.id": "<string>",
  "result.se": "<string>",
  "result.se_type": "<string>",
  "result.date_posted": "<string>",
  "result.tag": "<string>",
  "result.endpoint": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the parameters passed in the request’s URL

result
string[]

array of results

result.id
string

task identifier of the completed task unique task identifier in our system in the UUID format

result.se
string

search engine specified when setting the task can take the following values: google

result.se_type
string

search engine type

result.date_posted
string

date when the task was posted (in the UTC format)

result.tag
string

user-defined task identifier

result.endpoint
string

URL for collecting the results of the task